<?php
require('fpdf17/fpdf.php');

$timezone = "Asia/Jakarta";
if(function_exists('date_default_timezone_set')) date_default_timezone_set($timezone);

class PDF_MC_Table extends FPDF
{
var $widths;
var $aligns;



function SetWidths($w)
{
	//Set the array of column widths
	$this->widths=$w;
}

	function Header()
		{
		
			$mulai		= $_POST[tgl1];
			$selesai	= $_POST[tgl2];
			$this->SetY(10);
			$this->SetFont('Times','B', 13);
			
			$this->Cell(0,7,'REKAPITULASI KARYA TULIS ILMIAH', 0, 1,'R');
			$this->Cell(0,7,'PROGRAM STUDI ILMU GIZI FAKULTAS KEDOKTERAN UNIVERSITAS DIPONEGORO', 0, 1,'R');
			$this->Ln();
			
			$this->Cell(10,12,'NO',1,0, 'C');
			$this->Cell(40,12,'NIM',1,0, 'C');
			$this->Cell(55,12,'NAMA',1,0, 'C');
			$this->Cell(100,12,'PEMBIMBING',1,0, 'C');
			$this->Cell(105,12,'JUDUL PENELITIAN',1,1, 'C');
		
			
		}
	
	function Footer()
		{
			$this->SetY(-15);
			$this->SetFont('Times','I', 10);
			$this->Cell(280,10,' Generated by iAdmin Ilmu Gizi - Printed on '.date("d-m-Y  H:m:s"),0, 0,'L');
			$this->Cell(30,10,'Halaman '.$this->PageNo() ,0,0,'R');
		}	


function SetAligns($a)
{
	//Set the array of column alignments
	$this->aligns=$a;
}

function Row($data)
{
	//Calculate the height of the row
	$nb=0;
	for($i=0;$i<count($data);$i++)
		$nb=max($nb,$this->NbLines($this->widths[$i],$data[$i]));
	$h=6*$nb;
	//Issue a page break first if needed
	$this->CheckPageBreak($h);
	//Draw the cells of the row
	for($i=0;$i<count($data);$i++)
	{
		$w=$this->widths[$i];
		$a=isset($this->aligns[$i]) ? $this->aligns[$i] : 'L';
		//Save the current position
		$x=$this->GetX();
		$y=$this->GetY();
		//Draw the border
		$this->Rect($x,$y,$w,$h);
		//Print the text
		$this->MultiCell($w,6,$data[$i],0,$a);
		//Put the position to the right of the cell
		$this->SetXY($x+$w,$y);
	}
	//Go to the next line
	$this->Ln($h);
}

function CheckPageBreak($h)
{
	//If the height h would cause an overflow, add a new page immediately
	if($this->GetY()+$h>$this->PageBreakTrigger)
		// $this->AddPage($this->CurOrientation);
		$this->AddPage('L','Legal');
}

function NbLines($w,$txt)
{
	//Computes the number of lines a MultiCell of width w will take
	$cw=&$this->CurrentFont['cw'];
	if($w==0)
		$w=$this->w-$this->rMargin-$this->x;
	$wmax=($w-2*$this->cMargin)*1000/$this->FontSize;
	$s=str_replace("\r",'',$txt);
	$nb=strlen($s);
	if($nb>0 and $s[$nb-1]=="\n")
		$nb--;
	$sep=-1;
	$i=0;
	$j=0;
	$l=0;
	$nl=1;
	while($i<$nb)
	{
		$c=$s[$i];
		if($c=="\n")
		{
			$i++;
			$sep=-1;
			$j=$i;
			$l=0;
			$nl++;
			continue;
		}
		if($c==' ')
			$sep=$i;
		$l+=$cw[$c];
		if($l>$wmax)
		{
			if($sep==-1)
			{
				if($i==$j)
					$i++;
			}
			else
				$i=$sep+1;
			$sep=-1;
			$j=$i;
			$l=0;
			$nl++;
		}
		else
			$i++;
	}
	return $nl;
}
}
?>
